## kf6-extra-cmake-modules 6.18.0

=== CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2006-2013 Alex Neundorf <neundorf@kde.org>
# SPDX-FileCopyrightText: 2014-2015 Alex Merry <alex.merry@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause
#=============================================================================

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

#
# Preliminary setup
#

set(VERSION "6.18.0") # handled by release scripts

project(ECM
    VERSION "${VERSION}"
    LANGUAGES NONE
)

#
# Includes
#

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

include(FeatureSummary)


#
# Installation paths
#

set(SHARE_INSTALL_DIR share
    CACHE
    PATH
    "read-only architecture-independent data"
)

set(CMAKECONFIG_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/cmake/)

set(FIND_MODULES_INSTALL_DIR      ${SHARE_INSTALL_DIR}/ECM/find-modules/)
set(KDE_MODULES_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/kde-modules/)
set(MODULES_INSTALL_DIR           ${SHARE_INSTALL_DIR}/ECM/modules/)
set(TOOLCHAIN_MODULES_INSTALL_DIR ${SHARE_INSTALL_DIR}/ECM/toolchain/)

set(DOC_INSTALL_DIR ${SHARE_INSTALL_DIR}/doc/ECM
    CACHE
    PATH
    "HTML and QtHelp documentation"
)
set(MAN_INSTALL_DIR ${SHARE_INSTALL_DIR}/man
    CACHE
    PATH
    "man pages"
)


#
# Documentation
#

option(BUILD_DOC "Build documentation." ON)
add_feature_info(BUILD_DOC BUILD_DOC "Build documentation.")
if(BUILD_DOC)
    add_subdirectory(docs)
endif()


#
# Tests
#

option(BUILD_TESTING "Build automated tests." ON)
add_feature_info(BUILD_TESTING BUILD_TESTING "Build automated tests.")
if(BUILD_TESTING)
    enable_testing()
    add_subdirectory(tests)
endif()


#
# Install modules
#

file(GLOB installModuleFiles ${CMAKE_SOURCE_DIR}/modules/*[^~])
install(FILES ${installModuleFiles} DESTINATION ${MODULES_INSTALL_DIR})

file(GLOB installTestModuleFiles ${CMAKE_SOURCE_DIR}/test-modules/*[^~])
install(FILES ${installTestModuleFiles} DESTINATION ${SHARE_INSTALL_DIR}/ECM/test-modules)

file(GLOB installKdeModuleFiles LIST_DIRECTORIES FALSE ${CMAKE_SOURCE_DIR}/kde-modules/*[^~])
install(FILES ${installKdeModuleFiles} DESTINATION ${KDE_MODULES_INSTALL_DIR})
# The scripts need to be executable
file(GLOB installKDECommitHooks ${CMAKE_SOURCE_DIR}/kde-modules/kde-git-commit-hooks/*[^~])
install(PROGRAMS ${installKDECommitHooks} DESTINATION ${KDE_MODULES_INSTALL_DIR}/kde-git-commit-hooks)

file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/find-modules/*.cmake ${CMAKE_SOURCE_DIR}/find-modules/*.py)
install(FILES ${installFindModuleFiles} DESTINATION ${FIND_MODULES_INSTALL_DIR})

file(GLOB installToolchainModuleFiles ${CMAKE_SOURCE_DIR}/toolchain/*[^~])
install(FILES ${installToolchainModuleFiles} DESTINATION ${TOOLCHAIN_MODULES_INSTALL_DIR})


#
# Config.cmake file
#

include(CMakePackageConfigHelpers)

configure_package_config_file(
    ECMConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
    INSTALL_DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS
        FIND_MODULES_INSTALL_DIR
        KDE_MODULES_INSTALL_DIR
        MODULES_INSTALL_DIR
)

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    VERSION
        "${PROJECT_VERSION}"
    COMPATIBILITY
        AnyNewerVersion
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
)


#
# Packaging
#

set(CPACK_PACKAGE_NAME extra-cmake-modules)
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_SYSTEM_NAME "generic")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SET_DESTDIR FALSE)

include(CPack)


#
# Feature summary
#

feature_summary(
    FATAL_ON_MISSING_REQUIRED_PACKAGES
    WHAT ALL
)

=== docs/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2000-2013 Kitware, Inc.
# SPDX-FileCopyrightText: 2014-2015 Alex Merry <alex.merry@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause
#=============================================================================

include(CMakeDependentOption)
enable_language(CXX)

find_package(Sphinx 1.2 MODULE)
set_package_properties(
    Sphinx
    PROPERTIES
        URL "https://www.sphinx-doc.org/"
        DESCRIPTION "Tool to generate documentation."
        TYPE OPTIONAL
        PURPOSE "Required to build documentation for Extra CMake Modules."
)

find_package(Qt6 COMPONENTS ToolsTools)
set_package_properties(
    Qt6ToolsTools
    PROPERTIES
        URL "https://www.qt.io/"
        DESCRIPTION "Qt help collection generator."
        TYPE OPTIONAL
        PURPOSE "Required to build Extra CMake Modules documentation in Qt Help format."
)

cmake_dependent_option(
    BUILD_HTML_DOCS "Build html help with Sphinx" ON
    "Sphinx_FOUND" OFF
)
add_feature_info(BUILD_HTML_DOCS BUILD_HTML_DOCS "Generate HTML documentation for installed modules.")

cmake_dependent_option(
    BUILD_MAN_DOCS "Build man pages with Sphinx" ON
    "Sphinx_FOUND" OFF
)
add_feature_info(BUILD_MAN_DOCS BUILD_MAN_DOCS "Generate man page documentation for installed modules.")

if(TARGET Qt6::qhelpgenerator)
    set(QHelpGenerator_FOUND TRUE)
endif()

cmake_dependent_option(
    BUILD_QTHELP_DOCS "Build Qt help with Sphinx" ON
    "Sphinx_FOUND;QHelpGenerator_FOUND" OFF
)
add_feature_info(BUILD_QTHELP_DOCS BUILD_QTHELP_DOCS "Generate QtHelp documentation for installed modules.")


set(doc_formats "")
if(BUILD_HTML_DOCS)
    list(APPEND doc_formats html)
endif()
if(BUILD_MAN_DOCS)
    list(APPEND doc_formats man)
endif()
if(BUILD_QTHELP_DOCS)
    list(APPEND doc_formats qthelp)
    set(qthelp_extra_commands
        COMMAND
            Qt6::qhelpgenerator
            ${CMAKE_CURRENT_BINARY_DIR}/qthelp/ExtraCMakeModules.qhcp
    )
endif()

if(NOT doc_formats)
    return()
endif()

if (Sphinx_VERSION VERSION_LESS 1.3)
    set(sphinx_theme default)
else()
    set(sphinx_theme classic)
endif()
configure_file(sphinx/conf.py.in conf.py @ONLY)
configure_file(sphinx/ecm.css.in static/ecm.css)


set(doc_format_outputs "")
set(doc_format_last "")
foreach(format ${doc_formats})
    set(doc_format_output "doc_format_${format}")
    set(doc_format_log "build-${format}.log")
    add_custom_command(
        OUTPUT ${doc_format_output}
        COMMAND
            Sphinx::Build
            -D man_make_section_directory=0
            -c ${CMAKE_CURRENT_BINARY_DIR}
            -d ${CMAKE_CURRENT_BINARY_DIR}/doctrees
            -b ${format}
            ${CMAKE_CURRENT_SOURCE_DIR}
            ${CMAKE_CURRENT_BINARY_DIR}/${format}
            > ${doc_format_log} # log stdout, pass stderr
        ${${format}_extra_commands}
        DEPENDS ${doc_format_last}
        COMMENT "sphinx-build ${format}: see ${CMAKE_CURRENT_BINARY_DIR}/${doc_format_log}"
        VERBATIM
    )
    set_property(SOURCE ${doc_format_output} PROPERTY SYMBOLIC 1)
    list(APPEND doc_format_outputs ${doc_format_output})
    set(doc_format_last ${doc_format_output})
endforeach()

add_custom_target(documentation ALL DEPENDS ${doc_format_outputs})

if(BUILD_MAN_DOCS)
    file(GLOB man_rst RELATIVE ${ECM_SOURCE_DIR}/docs/manual
        ${ECM_SOURCE_DIR}/docs/manual/*.[1-9].rst)
    foreach(m ${man_rst})
        if("x${m}" MATCHES "^x(.+)\\.([1-9])\\.rst$")
            set(name "${CMAKE_MATCH_1}")
            set(sec "${CMAKE_MATCH_2}")
            install(
                FILES ${CMAKE_CURRENT_BINARY_DIR}/man/${name}.${sec}
                DESTINATION ${MAN_INSTALL_DIR}/man${sec}
            )
        endif()
    endforeach()
endif()
if(BUILD_HTML_DOCS)
    install(
        DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
        DESTINATION ${DOC_INSTALL_DIR}
        PATTERN .buildinfo EXCLUDE
        PATTERN objects.inv EXCLUDE
    )
endif()
if(BUILD_QTHELP_DOCS)
    install(
        FILES ${CMAKE_CURRENT_BINARY_DIR}/qthelp/ExtraCMakeModules.qch
        DESTINATION ${DOC_INSTALL_DIR}
    )
endif()

=== tests/ECMConfiguredInstallTest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ECMConfiguredInstallTest)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../modules)

# make sure the test install dir is clean
file(REMOVE_RECURSE "${CMAKE_INSTALL_PREFIX}")
include(ECMConfiguredInstall)

# run test

set(FOO myFoo)
set(BAR myBar)

ecm_install_configured_files(INPUT configured.txt DESTINATION ${CMAKE_INSTALL_PREFIX}/test)

ecm_install_configured_files(INPUT configured_atOnly.txt.in DESTINATION ${CMAKE_INSTALL_PREFIX}/test @ONLY ESCAPE_QUOTES)

ecm_install_configured_files(INPUT multi1.txt.in ${CMAKE_CURRENT_SOURCE_DIR}/multi2.txt.in DESTINATION ${CMAKE_INSTALL_PREFIX}/test)

# this will be run by CTest
configure_file(check_tree.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/check_tree.cmake" @ONLY)

=== tests/ECMGenerateDBusServiceFileTest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ECMGenerateDBusServiceFileTest)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../modules)

# make sure the test install dir is clean
file(REMOVE_RECURSE "${CMAKE_INSTALL_PREFIX}")
include(ECMGenerateDBusServiceFile)

# run test

ecm_generate_dbus_service_file(
   NAME org.kde.kded5
   EXECUTABLE /usr/bin/kded5
   DESTINATION ${CMAKE_INSTALL_PREFIX}/test
)

ecm_generate_dbus_service_file(
   NAME org.kde.kded5.withSystemD
   EXECUTABLE /usr/bin/kded5
   SYSTEMD_SERVICE plasma-kded.service
   DESTINATION ${CMAKE_INSTALL_PREFIX}/test
   RENAME org.kde.kded5.withSystemD.renamed.service
)

# this will be run by CTest
configure_file(check_tree.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/check_tree.cmake" @ONLY)

=== tests/ECMGenerateExportHeaderTest/CMakeLists.txt ===
set(installation_path "${CMAKE_CURRENT_BINARY_DIR}/installation/")

macro(add_generate_export_header_library_test _exclude_deprecated_before_and_at)
    if("${ARGV1}" STREQUAL "WITH_GROUP")
        set(_set_group_option "-DSET_GROUP=TRUE")
        set(_library_buildname "library-${_exclude_deprecated_before_and_at}-group")
    else()
        set(_library_buildname "library-${_exclude_deprecated_before_and_at}")
    endif()
    add_test(NAME ecm_generate_export_header-build-${_library_buildname}
        COMMAND ${CMAKE_CTEST_COMMAND}
            --build-and-test
            "${CMAKE_CURRENT_SOURCE_DIR}/library"
            "${CMAKE_CURRENT_BINARY_DIR}/${_library_buildname}"
            --build-two-config
            --build-generator "${CMAKE_GENERATOR}"
            --build-makeprogram ${CMAKE_MAKE_PROGRAM}
            --build-project library
            --build-target install
            --build-options
                "-DEXCLUDE_DEPRECATED_BEFORE_AND_AT=${_exclude_deprecated_before_and_at}"
                "-DCMAKE_INSTALL_PREFIX:PATH=${installation_path}/${_library_buildname}"
                ${_set_group_option}
            --test-command dummy
    )
endmacro()

macro(add_generate_export_header_consumer_test _test_variant _exclude_deprecated_before_and_at _group_test_mode _consumer_build)
    set(_extra_build_options ${ARGN})
    if(_group_test_mode STREQUAL "GROUPLESS")
        set(_library "library-${_exclude_deprecated_before_and_at}")
    else()
        set(_library "library-${_exclude_deprecated_before_and_at}-group")
    endif()
    add_test(NAME ecm_generate_export_header-${_consumer_build}
        COMMAND ${CMAKE_CTEST_COMMAND}
            --build-and-test
            "${CMAKE_CURRENT_SOURCE_DIR}/consumer"
            "${CMAKE_CURRENT_BINARY_DIR}/${_consumer_build}"
            --build-two-config
            --build-generator "${CMAKE_GENERATOR}"
            --build-makeprogram ${CMAKE_MAKE_PROGRAM}
            --build-project consumer
            --build-options
                "-DTEST_VARIANT:STRING=${_test_variant}"
                "-DDEPRECATED_EXCLUDED_BEFORE_AND_AT:STRING=${_exclude_deprecated_before_and_at}"
                "-DLIBRARY:STRING=${_library}"
                "-DGROUP_MODE:STRING=${_group_test_mode}"
                ${_extra_build_options}
            --test-command dummy
    )
    set_tests_properties(ecm_generate_export_header-${_consumer_build}
        PROPERTIES DEPENDS "ecm_generate_export_header-build-${_library}")
endmacro()

macro(add_generate_export_header_consumer_disable_deprecated_before_and_at_test
    _disable_deprecated_before_and_at
    _exclude_deprecated_before_and_at
    _group_test_mode
    )
    set(_consumer_build "consumer-${_disable_deprecated_before_and_at}-${_exclude_deprecated_before_and_at}-${_group_test_mode}")
    set(_extra_build_options
        "-DLIBRARY_DISABLE_DEPRECATED_BEFORE_AND_AT:STRING=${_disable_deprecated_before_and_at}"
    )
    add_generate_export_header_consumer_test(DISABLE_DEPRECATED_BEFORE_AND_AT
        ${_exclude_deprecated_before_and_at}
        ${_group_test_mode}
        ${_consumer_build}
        ${_extra_build_options}
    )
endmacro()

macro(add_generate_export_header_consumer_no_deprecated_test _exclude_deprecated_before_and_at _group_test_mode)
    set(_consumer_build "consumer-NO-DEPRECATED-${_exclude_deprecated_before_and_at}-${_group_test_mode}")
    add_generate_export_header_consumer_test(NO_DEPRECATED
        ${_exclude_deprecated_before_and_at}
        ${_group_test_mode}
        ${_consumer_build}
    )
endmacro()

# prepare list of versions
set(library_versions 0 2.0.0 CURRENT)
list(LENGTH library_versions library_versions_count)
math(EXPR _last_index ${library_versions_count}-1)

# test generating the library with different EXCLUDE_DEPRECATED_BEFORE_AND_AT values
# also install the generated libraries together incl. exported cmake targets, for use in tests below
# TODO: wariant with DEPRECATED_BASE_VERSION
foreach(_group_arg "" "WITH_GROUP")
    foreach(_index RANGE ${_last_index})
        list(GET library_versions ${_index} _exclude_deprecated_before_and_at)
        add_generate_export_header_library_test(${_exclude_deprecated_before_and_at} ${_group_arg})
    endforeach()
endforeach()


set(group_test_modes "GROUPLESS" "GROUP_USE_DIRECT" "GROUP_USE_GROUP")

# test using the library, built with different EXCLUDE_DEPRECATED_BEFORE_AND_AT values,
# while using different DISABLE_DEPRECATED_BEFORE_AND_AT values
# TODO: test DEPRECATED_WARNINGS_SINCE
foreach(_group_test_mode ${group_test_modes})
    foreach(_exclude_index RANGE ${_last_index})
        list(GET library_versions ${_exclude_index} _exclude_deprecated_before_and_at)
        # using disabled API limit below the excluded API limit is not supported and
        # caught by the code generated from the ecm_generate_export_header,
        # so testing those combination will not work, so start from the excluded API limit
        foreach(_disable_index RANGE ${_exclude_index} ${_last_index})
            list(GET library_versions ${_disable_index} _disable_deprecated_before_and_at)
            add_generate_export_header_consumer_disable_deprecated_before_and_at_test(${_disable_deprecated_before_and_at} ${_exclude_deprecated_before_and_at} ${_group_test_mode})
        endforeach()
    endforeach()
endforeach()

# test with NO_DEPRECATED
foreach(_group_test_mode ${group_test_modes})
    foreach(_exclude_index RANGE ${_last_index})
        list(GET library_versions ${_exclude_index} _exclude_deprecated_before_and_at)
        add_generate_export_header_consumer_no_deprecated_test(${_exclude_deprecated_before_and_at} ${_group_test_mode})
    endforeach()
endforeach()

=== tests/ECMInstallIconsTest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ECMInstallIconsTest)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../modules)

# make sure the test install dir is clean
file(REMOVE_RECURSE "${CMAKE_INSTALL_PREFIX}")

include(ECMInstallIcons)

add_subdirectory(v1-syntax)
add_subdirectory(v1-syntax-l10n)
add_subdirectory(v1-syntax-no-icons)

ecm_install_icons(
    ICONS 16-actions-computer.png
    DESTINATION single-file-test
)

ecm_install_icons(
    ICONS
        16-actions-computer.png
        16-animations-loading.mng
        subdir/16-apps-cmake.png
        16-categories-system-help.mng
        16-emotes-face-smile.png
        16-intl-something.png
        16-status-user-online.png
        128-devices-drive-removable-media-usb-pendrive.png
        128-emblems-emblem-mounted.png
        128-places-home.mng
        sc-mimetypes-fonts-package.svgz
    DESTINATION multi-file-test
)

ecm_install_icons(
    ICONS
        16-actions-computer.png
        16-animations-loading.mng
        subdir/16-apps-cmake.png
        16-categories-system-help.mng
        16-emotes-face-smile.png
        16-intl-something.png
        16-status-user-online.png
        128-devices-drive-removable-media-usb-pendrive.png
        128-emblems-emblem-mounted.png
        128-places-home.mng
        sc-mimetypes-fonts-package.svgz
    DESTINATION themed-test
    THEME theme-name-2
)

ecm_install_icons(
    ICONS
        16-actions-computer.png
        16-animations-loading.mng
        subdir/16-apps-cmake.png
        16-categories-system-help.mng
        16-emotes-face-smile.png
        16-intl-something.png
        16-status-user-online.png
        128-devices-drive-removable-media-usb-pendrive.png
        128-emblems-emblem-mounted.png
        128-places-home.mng
        sc-mimetypes-fonts-package.svgz
    DESTINATION lang-test
    LANG en_US
)

ecm_install_icons(
    ICONS
        16-actions-computer.png
        16-animations-loading.mng
        subdir/16-apps-cmake.png
        16-categories-system-help.mng
        16-emotes-face-smile.png
        16-intl-something.png
        16-status-user-online.png
        128-devices-drive-removable-media-usb-pendrive.png
        128-emblems-emblem-mounted.png
        128-places-home.mng
        sc-mimetypes-fonts-package.svgz
    DESTINATION themed-lang-test
    THEME oxygen
    LANG en_US
)

# all these should be warned about
ecm_install_icons(
    ICONS
        aa-actions-badsize.png          # ignored
        badlynamedfile.png              # ignored
        16-actions-badext.txt           # copied
        hi16-actions-old-style-name.png # copied
    DESTINATION badly-named-files-test
)

find_program(icon_cache_generator NAMES gtk-update-icon-cache)
if (icon_cache_generator)
    set(GENERATE_ICON_CACHE TRUE)
else()
    set(GENERATE_ICON_CACHE FALSE)
endif()

# this will be run by CTest
configure_file(check_tree.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/check_tree.cmake" @ONLY)

=== tests/ECMGeneratePkgConfigFile/no_description_parameter_metainfo_without_description/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(no_description_parameter_metainfo_without_description VERSION 5.43)

include(../test-and-comparison-helpers.cmake)

include(ECMGeneratePkgConfigFile)
include(ECMSetupVersion)

ecm_setup_version(PROJECT VARIABLE_PREFIX KCOREADDONS
                VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h"
                PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
                SOVERSION 5)

set(origfiles "${CMAKE_CURRENT_SOURCE_DIR}/../../../tests/ECMGeneratePkgConfigFile/KF5CoreAddons3.pc")

file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/../../../tests/ECMGeneratePkgConfigFile/metainfo_without_description.yaml
     DESTINATION ${CMAKE_CURRENT_SOURCE_DIR})
file(RENAME ${CMAKE_CURRENT_SOURCE_DIR}/metainfo_without_description.yaml ${CMAKE_CURRENT_SOURCE_DIR}/metainfo.yaml)

ecm_generate_pkgconfig_file(BASE_NAME KF5CoreAddons3
                            DEPS Qt5Core
                            INCLUDE_INSTALL_DIR /usr/KCoreAddons
                            FILENAME_VAR OutputFile)

compare_files(GENERATED ${OutputFile}
              ORIGINALS ${origfiles})
file(REMOVE ${OutputFile})
file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/metainfo.yaml)

=== tests/ECMGeneratePkgConfigFile/test_no_interface_include_dirs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(ECMGeneratePkgConfigFile_no_interface_include_directories VERSION 0.1)

set(ECM_MODULE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../../../modules")
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../../modules;${CMAKE_CURRENT_SOURCE_DIR}/../../../kde-modules")

enable_language(CXX)

include(ECMGeneratePkgConfigFile)
include(ECMSetupVersion)

# KDEInstallDirs can't be used
set(EGPF_KDE_INSTALL_INCLUDEDIR_KF "include/KF6")

set(InputFile "${CMAKE_CURRENT_SOURCE_DIR}/EGPF_no_interface_include_directories.pc")

set(CMAKE_INSTALL_PREFIX "/usr")
set(CMAKE_INSTALL_LIBDIR "lib")

ecm_setup_version(0.1 VARIABLE_PREFIX EGPF_lib_without_interface
                SOVERSION 0)

add_library(EGPF_lib_without_interface)
target_sources(EGPF_lib_without_interface PRIVATE main.cpp)
set_target_properties(EGPF_lib_without_interface PROPERTIES
    VERSION 0.1
    SOVERSION 0
)

ecm_generate_pkgconfig_file(BASE_NAME EGPF_lib_without_interface
                            DESCRIPTION "Testing generated pkgconfig file without interface_include_directories"
                            INCLUDE_INSTALL_DIR ${EGPF_KDE_INSTALL_INCLUDEDIR_KF}
                            FILENAME_VAR OutputFile
                            )

add_test(
    NAME ECMGeneratePkgConfigFileTest.no_interface_include_directories
    COMMAND ${CMAKE_COMMAND} -E compare_files --ignore-eol "${InputFile}" "${OutputFile}"
    )

=== tests/ECMGeneratePkgConfigFile/with_an_URL_parameter/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(with_an_URL_parameter VERSION 5.43)

include(../test-and-comparison-helpers.cmake)

include(ECMGeneratePkgConfigFile)
include(ECMSetupVersion)

ecm_setup_version(PROJECT VARIABLE_PREFIX KCOREADDONS
                VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h"
                PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
                SOVERSION 5)

set(origfiles "${CMAKE_CURRENT_SOURCE_DIR}/../../../tests/ECMGeneratePkgConfigFile/KF5CoreAddons5.pc")

ecm_generate_pkgconfig_file(BASE_NAME KF5CoreAddons5
                            DESCRIPTION "KF5CoreAddons test"
                            URL "https://www.example.org/"
                            DEPS Qt5Core
                            INCLUDE_INSTALL_DIR /usr/KCoreAddons
                            FILENAME_VAR OutputFile)

compare_files(GENERATED ${OutputFile}
              ORIGINALS ${origfiles})
file(REMOVE ${OutputFile})

=== tests/ECMInstallIconsTest/v1-syntax-no-icons/CMakeLists.txt ===
ecm_install_icons(v1-icons-dummy)

=== tests/ECMSetupVersionTest/new_project_simple_prefix/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(new_project_simple_prefix VERSION 2.3.4)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(PROJECT VARIABLE_PREFIX Foo)

include(../version_helpers.cmake)
standard_version_var_checks(Foo 2.3.4)

add_executable(dummy main.c)

=== tests/ECMSetupVersionTest/new_project_soversion_prefix/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(new_project_soversion_prefix VERSION 2.3.4)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX Foo
    SOVERSION 1
)

include(../version_helpers.cmake)
standard_version_var_checks(Foo 2.3.4 1)

add_executable(dummy main.c)

=== debian/changelog ===
kf6-extra-cmake-modules (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:13:30 +0200

kf6-extra-cmake-modules (6.13.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to disable fatal linker warnings as this makes KDE
    packages fail to build om arm64 due to the GCS warning (Closes:
    #1115108).

 -- Patrick Franz <deltaone@debian.org>  Sat, 20 Sep 2025 12:27:06 +0200

=== debian/control ===
Source: kf6-extra-cmake-modules
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               python3-sphinx:native (>= 1.2~) <!nodoc>,
               python3-sphinxcontrib.qthelp:native <!nodoc>,
               qt6-tools-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev-tools,
Build-Depends-Indep: dh-sequence-sphinxdoc,
                     libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
                     libjs-underscore <!nodoc>,
                     python3-setuptools <!nodoc>,
                     python3-sphinxcontrib.serializinghtml <!nodoc>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules.git

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends},
Suggests: qt6-base-dev,
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.

Package: extra-cmake-modules-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Built-Using: ${sphinxdoc:Built-Using},
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Extra modules and scripts for CMake - documentation
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
 .
 This package contains HTML documentation and man pages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without build_stamp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/extra-cmake-modules/usr/share/ECM/kde-modules/kde-git-commit-hooks/combined.schema.json.in.license
	chmod -x $(CURDIR)/debian/extra-cmake-modules/usr/share/ECM/kde-modules/kde-git-commit-hooks/combined.schema.json.in

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/extra-cmake-modules-(.*)\.tar\.xz

## kf6-extra-cmake-modules 6.18.0+p24.04+vstable+git20250916.2320

=== debian/changelog ===
kf6-extra-cmake-modules (6.18.0+p24.04+vstable+git20250916.2320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 23:20:57 +0000

kf6-extra-cmake-modules (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 22:45:40 +0000

## kf6-extra-cmake-modules 6.18.0+p24.04+vstable+git20250926.0455

=== debian/changelog ===
kf6-extra-cmake-modules (6.18.0+p24.04+vstable+git20250926.0455-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 04:55:22 +0000

## kf6-extra-cmake-modules 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Preliminary setup
 #
 
-set(VERSION "6.18.0") # handled by release scripts
+set(VERSION "6.19.0") # handled by release scripts
 
 project(ECM
     VERSION "${VERSION}"

=== tests/ECMSetupVersionTest/CMakeLists.txt ===
macro(add_version_test NAME COMMAND)
  string(REPLACE "." "/" dir "${NAME}")
  string(REGEX REPLACE "[^.]*\\." "" proj "${NAME}")
  add_test(ecm_setup_version-${NAME} ${CMAKE_CTEST_COMMAND}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/${dir}"
    "${CMAKE_CURRENT_BINARY_DIR}/${dir}"
    --build-two-config
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-project ${proj}
    ${${NAME}_EXTRA_OPTIONS}
    --test-command ${COMMAND} ${ARGN})
endmacro()

# Skip these tests with cmake >= 4 because CMP0048 doesn't exist anymore and
# trying to set it results in a hard error.
if(CMAKE_MAJOR_VERSION VERSION_LESS 4)
    add_version_test(old_simple dummy)
    add_version_test(old_simple_no_version_string_vars dummy)
    add_version_test(old_soversion dummy)
    add_version_test(old_version_file dummy)
    add_version_test(old_version_file_abspath dummy)
    add_version_test(old_version_file_anynewer dummy)
    add_version_test(old_version_file_exact dummy)
    add_version_test(old_version_file_samemajor dummy)
    add_version_test(old_header check_header)
    add_version_test(old_header_abspath check_header)
endif()

add_version_test(new_explicit_header check_header)
add_version_test(new_explicit_header_abspath check_header)
add_version_test(new_explicit_simple dummy)
add_version_test(new_explicit_simple_no_version_string_vars dummy)
add_version_test(new_explicit_soversion dummy)
add_version_test(new_explicit_version_file dummy)
add_version_test(new_explicit_version_file_abspath dummy)
add_version_test(new_project_header check_header)
add_version_test(new_project_header_abspath check_header)
add_version_test(new_project_header_prefix check_header)
add_version_test(new_project_header_zero_prefixed_version check_header)
add_version_test(new_project_header_expected_zero_version check_header)
add_version_test(new_project_simple dummy)
add_version_test(new_project_simple_no_version_string_vars dummy)
add_version_test(new_project_simple_prefix dummy)
add_version_test(new_project_soversion dummy)
add_version_test(new_project_soversion_prefix dummy)
add_version_test(new_project_version_file dummy)
add_version_test(new_project_version_file_abspath dummy)

=== tests/ExecuteKDEModules/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ExecuteKDEModules)

# order is important (install dirs before cmake settings)!
set(all_kde_modules
    KDEInstallDirs
    KDECMakeSettings
    KDECompilerSettings
    KDEFrameworkCompilerSettings
    ECMMarkNonGuiExecutable
)

set(ECM_KDE_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../kde-modules)
set(ECM_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../modules)
set(CMAKE_MODULE_PATH "${ECM_KDE_MODULE_DIR}" "${ECM_MODULE_DIR}")

foreach(module ${all_kde_modules})
    message(STATUS "module: ${module}")
    include("${module}")
endforeach()

add_executable(dummy main.c)
ecm_mark_nongui_executable(dummy)

set_target_properties(dummy PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

=== tests/UseFindModules/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(UseFindModules)

set(ECM_FIND_MODULE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../../find-modules")
set(ECM_MODULE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../../modules")

file(GLOB all_find_modules
     RELATIVE "${ECM_FIND_MODULE_DIR}"
     "${ECM_FIND_MODULE_DIR}/Find*cmake")

set(package_list)
foreach(module ${all_find_modules})
    string(REGEX REPLACE ".+Find([^\\.]+)\\.cmake" "\\1" packageName "${module}")
    list(APPEND package_list "${packageName}")
endforeach()

include("${ECM_MODULE_DIR}/ECMUseFindModules.cmake")
ecm_use_find_modules(DIR "${CMAKE_CURRENT_BINARY_DIR}/cmake"
                     MODULES ${package_list})

foreach(packageName ${package_list})
    message(STATUS "Finding package: ${packageName}")
    find_package(${packageName})

    if(NOT DEFINED ${packageName}_FOUND)
        message(SEND_ERROR "${packageName}_FOUND not defined!")
    endif()
endforeach()

add_executable(dummy main.c)

=== tests/ECMGeneratePkgConfigFile/custom_defines/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(custom_defines VERSION 6.7.0)

include(../test-and-comparison-helpers.cmake)

include(ECMGeneratePkgConfigFile)
include(ECMSetupVersion)

ecm_setup_version(PROJECT VARIABLE_PREFIX ATTICA
                VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/attica_version.h"
                PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6AtticaConfigVersion.cmake"
                SOVERSION 6)

set(origfiles "${CMAKE_CURRENT_SOURCE_DIR}/../../../tests/ECMGeneratePkgConfigFile/KF6Attica.pc")

ecm_generate_pkgconfig_file(BASE_NAME KF6Attica
                            DESCRIPTION "Qt library to access Open Collaboration Services"
                            LIB_NAME KF6Attica
                            INCLUDE_INSTALL_DIR /usr/include/Attica
                            DEFINES -I\${prefix}/include/foo -I\${prefix}/include/bar
                            DEPS Qt6Core Qt6Network
                            FILENAME_VAR OutputFile
                            )

compare_files(GENERATED ${OutputFile}
              ORIGINALS ${origfiles})
file(REMOVE ${OutputFile})

=== tests/ECMGeneratePkgConfigFile/no_optional_arguments/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(no_optional_arguments VERSION 5.43)

include(../test-and-comparison-helpers.cmake)

include(ECMGeneratePkgConfigFile)
include(ECMSetupVersion)

ecm_setup_version(PROJECT VARIABLE_PREFIX KCOREADDONS
                VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h"
                PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
                SOVERSION 5)

set(origfiles "${CMAKE_CURRENT_SOURCE_DIR}/../../../tests/ECMGeneratePkgConfigFile/KF5CoreAddons.pc")

ecm_generate_pkgconfig_file(BASE_NAME KF5CoreAddons
                            DESCRIPTION "KF5CoreAddons test"
                            DEPS Qt5Core
                            FILENAME_VAR OutputFile)

compare_files(GENERATED ${OutputFile}
              ORIGINALS ${origfiles})
file(REMOVE ${OutputFile})

=== tests/ECMSetupVersionTest/new_explicit_simple/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(new_explicit_simple VERSION 1.5.6.7)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(2.3.4 VARIABLE_PREFIX Foo)

include(../version_helpers.cmake)
project_version_var_checks(1.5.6.7)
version_var_checks(Foo 2.3.4)
assert_var_num_value(Foo_SOVERSION 2)

add_executable(dummy main.c)

=== tests/ECMSetupVersionTest/new_explicit_version_file/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(new_explicit_version_file VERSION 1.5.6.7)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(2.3.4
    VARIABLE_PREFIX Foo
    PACKAGE_VERSION_FILE FooVersion.cmake
)

include(../version_helpers.cmake)
project_version_var_checks(1.5.6.7)
version_var_checks(Foo 2.3.4)
assert_var_num_value(Foo_SOVERSION 2)

AnyNewer_2_3_4_checks("${CMAKE_CURRENT_BINARY_DIR}/FooVersion.cmake")

add_executable(dummy main.c)

=== tests/ECMSetupVersionTest/new_project_header_abspath/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(new_project_header_abspath VERSION 2.3.4)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(PROJECT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/../ecm_new_project_header_abspath_version.h"
)

include(../version_helpers.cmake)
# NB: name comes from project() command
standard_version_var_checks(new_project_header_abspath 2.3.4)

add_executable(check_header main.c)
target_include_directories(check_header PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/..")

=== tests/ECMSetupVersionTest/old_soversion/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

cmake_policy(SET CMP0048 OLD)
project(old_soversion)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(2.3.4
    VARIABLE_PREFIX Foo
    SOVERSION 1
)

include(../version_helpers.cmake)
standard_version_var_checks(Foo 2.3.4 1)

add_executable(dummy main.c)

=== tests/ECMSetupVersionTest/old_version_file_anynewer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

cmake_policy(SET CMP0048 OLD)
project(old_version_file_anynewer)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(2.3.4
    VARIABLE_PREFIX Foo
    PACKAGE_VERSION_FILE FooVersion.cmake COMPATIBILITY AnyNewerVersion
)

include(../version_helpers.cmake)

standard_version_var_checks(Foo 2.3.4)
AnyNewer_2_3_4_checks("${CMAKE_CURRENT_BINARY_DIR}/FooVersion.cmake")

add_executable(dummy main.c)

=== tests/KDEInstallDirsTest/vars_in_sync/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(KDEInstallDirs.vars_in_sync)

set(ECM_KDE_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../kde-modules)
set(ECM_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
set(CMAKE_MODULE_PATH "${ECM_KDE_MODULE_DIR}")
include(KDEInstallDirs)

include(../var_list.cmake)
include(../../test_helpers.cmake)

foreach(suffix ${var_suffixes})
    assert_var_defined(KDE_INSTALL_${suffix})
    if(DEFINED ${suffix}_expected_value)
        assert_vars_strequal(KDE_INSTALL_${suffix} ${suffix}_expected_value)
    endif()
    assert_var_defined(KDE_INSTALL_FULL_${suffix})

    if(should_set_CMAKE_INSTALL_${suffix})
        assert_vars_strequal(CMAKE_INSTALL_${suffix} KDE_INSTALL_${suffix})
        assert_vars_strequal(CMAKE_INSTALL_FULL_${suffix} KDE_INSTALL_FULL_${suffix})
    endif()

    if(NOT KDE_INSTALL_DIRS_NO_DEPRECATED AND DEFINED compat_${suffix})
        assert_vars_strequal(${compat_${suffix}} KDE_INSTALL_${suffix})
    endif()
endforeach()

assert_var_defined(KF_INSTALL_TARGETS_DEFAULT_ARGS)
if (QT_MAJOR_VERSION EQUAL "5")
    assert_var_defined(KF5_INSTALL_TARGETS_DEFAULT_ARGS)
endif()
assert_var_defined(KDE_INSTALL_TARGETS_DEFAULT_ARGS)
if(NOT KDE_INSTALL_DIRS_NO_CMAKE_VARIABLES AND
   NOT KDE_INSTALL_DIRS_NO_DEPRECATED)
    assert_vars_strequal(INSTALL_TARGETS_DEFAULT_ARGS
                         KDE_INSTALL_TARGETS_DEFAULT_ARGS)
endif()

add_executable(dummy main.c)
set_target_properties(dummy PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

=== debian/changelog ===
kf6-extra-cmake-modules (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:03:53 +0100

kf6-extra-cmake-modules (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:12:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: kf6-extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               python3-sphinx:native (>= 1.2~) <!nodoc>,
-               python3-sphinxcontrib.qthelp:native <!nodoc>,
-               qt6-tools-dev,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qttools5-dev-tools,
+               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
+               libjs-underscore <!nodoc>,
+               python3-setuptools <!nodoc>,
+               python3-sphinx (>= 1.2~) <!nodoc>,
+               python3-sphinxcontrib.qthelp <!nodoc>,
+               python3-sphinxcontrib.serializinghtml <!nodoc>,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
-                     libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
-                     libjs-underscore <!nodoc>,
-                     python3-setuptools <!nodoc>,
-                     python3-sphinxcontrib.serializinghtml <!nodoc>,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-extra-cmake-modules
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-extra-cmake-modules
 
 Package: extra-cmake-modules
 Architecture: any
@@ -46,8 +43,7 @@
 Multi-Arch: foreign
 Section: doc
 Built-Using: ${sphinxdoc:Built-Using},
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends},
 Description: Extra modules and scripts for CMake - documentation
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
  serves as both a staging ground for new modules before they are moved upstream

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 %:
 	dh $@ --without build_stamp
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DBUILD_TESTING=OFF
+
 override_dh_auto_test:
 	# Disable dh_auto_test at build time
 	:

## kf6-extra-cmake-modules 6.19.0+p24.04+vstable+git20251023.0045

=== debian/changelog ===
kf6-extra-cmake-modules (6.19.0+p24.04+vstable+git20251023.0045-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:45:12 +0000

kf6-extra-cmake-modules (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:45:27 +0000

## kf6-extra-cmake-modules 6.19.0+p24.04+vstable+git20251024.0055

=== debian/changelog ===
kf6-extra-cmake-modules (6.19.0+p24.04+vstable+git20251024.0055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 00:55:16 +0000

## kf6-extra-cmake-modules 6.19.0+p24.04+vunstable+git20251016.0043

=== debian/changelog ===
kf6-extra-cmake-modules (6.19.0+p24.04+vunstable+git20251016.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 00:43:44 +0000

## kf6-extra-cmake-modules 6.19.0+p24.04+vunstable+git20251020.0108

=== debian/changelog ===
kf6-extra-cmake-modules (6.19.0+p24.04+vunstable+git20251020.0108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:08:18 +0000

=== debian/control ===
Source: kf6-extra-cmake-modules
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kde-qdoc-common-dev,
               libjs-jquery,
               libjs-underscore,
               pkg-kde-tools-neon,
               python3,
               python3-distutils-extra,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.qthelp,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               sphinx-common
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-extra-cmake-modules.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-extra-cmake-modules
Maintainer: Neon CI <neon@kde.org>

Package: kf6-extra-cmake-modules
Architecture: any
Depends: python3:any, ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Breaks: extra-cmake-modules (<< 6)
Replaces: extra-cmake-modules,
          extra-cmake-modules-doc,
          kf6-extra-cmake-modules-doc
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.

Package: kf6-extra-cmake-modules-doc
Architecture: all
Depends: kf6-extra-cmake-modules, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: extra-cmake-modules
Architecture: all
Depends: kf6-extra-cmake-modules, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: extra-cmake-modules-doc
Architecture: all
Depends: kf6-extra-cmake-modules, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
